<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Guest extends Model
{
    protected $table = 'guests';

    protected $fillable = [
        'name',
        'phone',
        'email',
        'id_proof'
    ];

    /**
     * A guest can have many bookings
     */
    public function bookings()
    {
        return $this->hasMany(Booking::class, 'guest_id');
    }
}
